<?php

class CatalogueModel {
    
    protected $content = array();
    
    private function __construct($content = array()) {
        if (sizeof($content) > 0) {
            $this->fillCatalogue();
        }
        
        private function fillCatalogue() {
            
        }
    }
    
}


